Flash et debian amd64

Le
C. Mourad Jaber
Bonjour,

Ce n'est pas un troll, je précise

J'ai des soucis de flash depuis que la 10.1 est sortie (mise à jour de
flashplugin-nonfree), j'ai évidement vu que adobe a toujours autant de
problème à produire un logiciel en 64bits.

J'ai supprimé flashplugin-nonfree et installé le .deb 32bits (frounis
par adobe) avec le nspluginwrapper, mais j'ai le message suivant :
$ nspluginwrapper -i /usr/lib/adobe-flashplugin/libflashplayer.so
nspluginwrapper: no appropriate viewer found for
/usr/lib/adobe-flashplugin/libflashplayer.so

Y'a-t-il quelque chose de particulier à faire pour permettre
l'utilisation de cette version ?

Je ne trouve rien de récent sur le net concernant ce problème, tous les
tuto ou le forums que je trouve sont très vieux (avant la v10 de flash)
et ne concerne généralement pas debian :(

++

Mourad

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers debian-user-french-REQUEST@lists.debian.org
En cas de soucis, contactez EN ANGLAIS listmaster@lists.debian.org
Archive: http://lists.debian.org/4C1F4FE0.9040000@nativobject.net
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses Page 1 / 2
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Sylvain Sauvage
Le #22283461
C. Mourad Jaber, lundi 21 juin 2010, 13:41:20 CEST

Bonjour,



’soir,

Ce n'est pas un troll, je précise...



Mais non, même les DD en parlent (http://www.kirya.net/weblog/2010/0 6/19/my-experience-without-adobe%c2%ae-flash%e2%84%a2-player/ ).

J'ai des soucis de flash depuis que la 10.1 est sortie (mise à jour de
flashplugin-nonfree), j'ai évidement vu que adobe a toujours autant de
problème à produire un logiciel en 64bits.

J'ai supprimé flashplugin-nonfree et installé le .deb 32bits (f rounis
par adobe) avec le nspluginwrapper, mais j'ai le message suivant :
$ nspluginwrapper -i /usr/lib/adobe-flashplugin/libflashplayer.so
nspluginwrapper: no appropriate viewer found for
/usr/lib/adobe-flashplugin/libflashplayer.so



Hmm, j’ai pris le tarball (qui ne contient en fait qu’un .so,
qu’y a-t-il d’autre dans le .deb ?) et collé le . so dans
/usr/local/lib…, et l’installation a fonctionné (j⠀™ai d’abord eu
une erreur sur libnss3, celle-ci a disparu après l’installation
de ia32-libs-libnss3).

Bon, ça c’est pour l’installation. Pour le flash dan s les
navigateurs, c’est pas gagné : queue d’chi.

Pff, ça fonctionnait pourtant bien avec le paquet spécial qui
existait quand Adobe n’avait pas encore sorti de version 64 bi ts…

Du coup, j’ai essayé Gnash : fonctionne avec Iceweasel (pas
tout (vidéos → gel) mais j’ai mon http://www.orneryboy .com ) ;
en revanche, avec Konqueror/rekonq :
1. déjà, ne pas installer konqueror-plugin-gnash (dans
about:plugins, il annonce prendre en charge la version 7
seulement), de plus, si on a konqueror-nsplugin en parallèle,
on récupère deux versions qui se marchent sur les pieds…
2. ça voudrait fonctionner mais les images/animations sont
décalées…

Y'a-t-il quelque chose de particulier à faire pour permettre
l'utilisation de cette version ?

Je ne trouve rien de récent sur le net concernant ce problème, tous les
tuto ou le forums que je trouve sont très vieux (avant la v10 de fla sh)
et ne concerne généralement pas debian :(



Itou.

Pourvu qu’on ne soit pas obligés de revenir à un chroot
32 bits…

--
Sylvain Sauvage

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
mahashakti89
Le #22283811
On Mon, Jun 21, 2010 at 01:41:20PM +0200, C. Mourad Jaber wrote:

Bonjour,

Ce n'est pas un troll, je précise...

J'ai des soucis de flash depuis que la 10.1 est sortie (mise à jour
de flashplugin-nonfree), j'ai évidement vu que adobe a toujours
autant de problème à produire un logiciel en 64bits.



Bon, je vais peut-être raconter des bêtises mais j'ai viré
flashplugin-nonfree et remplacé par flashplayer-mozilla qui fonctionne
plutôt bien. J'ai manqué quelque chose ???


A+

mahashakti89


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
giggz
Le #22284071
Le 21/06/2010 21:00, mahashakti89 a écrit :
On Mon, Jun 21, 2010 at 01:41:20PM +0200, C. Mourad Jaber wrote:

Bonjour,

Ce n'est pas un troll, je précise...

J'ai des soucis de flash depuis que la 10.1 est sortie (mise à jour de
flashplugin-nonfree), j'ai évidement vu que adobe a toujours autant de
problème à produire un logiciel en 64bits.



Bon, je vais peut-être raconter des bêtises mais j'ai viré
flashplugin-nonfree et remplacé par flashplayer-mozilla qui fonctionne
plutôt bien. J'ai manqué quelque chose ???




t'es en 32bits ou en 64 bits ?

je crois que le flashplugin-nonfree installe le 32 sur le 32 et le 64
sur le 64. tandis que flashplayer-mozilla installe le 32 en chroot sur
le 64. je dis pitêtre des bêtises...à vérifier...

bye


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/hvojbc$n0a$
C. Mourad Jaber
Le #22284671
Le 21/06/2010 22:50, giggz a écrit :
Le 21/06/2010 21:00, mahashakti89 a écrit :

On Mon, Jun 21, 2010 at 01:41:20PM +0200, C. Mourad Jaber wrote:

Bonjour,

Ce n'est pas un troll, je précise...

J'ai des soucis de flash depuis que la 10.1 est sortie (mise à jour de
flashplugin-nonfree), j'ai évidement vu que adobe a toujours autant de
problème à produire un logiciel en 64bits.



Bon, je vais peut-être raconter des bêtises mais j'ai viré
flashplugin-nonfree et remplacé par flashplayer-mozilla qui fonctionne
plutôt bien. J'ai manqué quelque chose ???




t'es en 32bits ou en 64 bits ?

je crois que le flashplugin-nonfree installe le 32 sur le 32 et le 64
sur le 64. tandis que flashplayer-mozilla installe le 32 en chroot sur
le 64. je dis pitêtre des bêtises...à vérifier...

bye




Ben j'ai pas ce paquet :(
il vient de quel source apt ?

++

Mourad

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Sylvain Sauvage
Le #22284661
giggz, lundi 21 juin 2010, 22:50:52 CEST

Le 21/06/2010 21:00, mahashakti89 a écrit :
[…]
> Bon, je vais peut-être raconter des bêtises mais j'ai virà ©
> flashplugin-nonfree et remplacé par flashplayer-mozilla qui foncti onne
> plutôt bien. J'ai manqué quelque chose ???



Oui, flashplayer-mozilla n’existe plus. (Ou alors il faut nous
dire où tu le trouves encore pour Sid/amd64…)

Le problème est que la nouvelle version de flashplugin-nonfree
essaie de récupérer le tarball chez Adobe alors qu’il n ’y est
plus pour amd64. Donc plus de flash pour amd64 (à moins de
bloquer la màj de flashplugin-nonfree).

t'es en 32bits ou en 64 bits ?

je crois que le flashplugin-nonfree installe le 32 sur le 32 et le 64
sur le 64. tandis que flashplayer-mozilla installe le 32 en chroot sur
le 64. je dis pitêtre des bêtises...à vérifier...



Les deux faisaient sensiblement la même chose, sauf que
-player- → debian multimedia, -plugin- → officiellement
officieux, d’où la disparition du -player-.

--
Sylvain Sauvage

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Adrien Bellanger
Le #22285011
Oui, flashplayer-mozilla n’existe plus. (Ou alors il faut nous
dire où tu le trouves encore pour Sid/amd64…)


Il est dans les dépôts debian-multimedia.org, en fait c'est une version utilisant nspluginwrapper, et donc flash 10.1 en 32 bits.


Les deux faisaient sensiblement la même chose, sauf que
-player- → debian multimedia, -plugin- → officiellement
officieux, d’où la disparition du -player-.


Il me semble que chez moi le player (debian multimedia) a toujours
installer du 32 bits chrooter contrairement à la version officielle,
après il est possible que je me plante.


Adrien


PS @ Sylvain : Désolé pour le spam, j'ai utiliser le répondre d'évolution sans vérifier...


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
C. Mourad Jaber
Le #22285511
Le 22/06/2010 10:19, Adrien Bellanger a écrit :
Oui, flashplayer-mozilla n’existe plus. (Ou alors il faut nous
dire où tu le trouves encore pour Sid/amd64…)



Il est dans les dépôts debian-multimedia.org, en fait c'est une version utilisant nspluginwrapper, et donc flash 10.1 en 32 bits.



Les deux faisaient sensiblement la même chose, sauf que
-player- → debian multimedia, -plugin- → officiellement
officieux, d’où la disparition du -player-.



Il me semble que chez moi le player (debian multimedia) a toujours
installer du 32 bits chrooter contrairement à la version officielle,
après il est possible que je me plante.


Adrien



Effectivement, j'ai ajouter le miroir debian-multimédia et il me le
propose. a priori, il install un environement chrooté il y a plein de
ia32 en dépendance de ce paquetage...

Par contre, j'ai un autre problème, je n'arrive plus a supprimer le
paquet adobe-flashplugin, il n'apparaît pas dans la liste, je ne peut
pas faire de apt-cache policy, ni le purger :(
Est-ce que c'est du au forçage de l'architecture ?
Comment le virer ?

++

Mourad

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Adrien Bellanger
Le #22285481
--0016e65c8d82f30fa304899b48bd
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable






Effectivement, j'ai ajouter le miroir debian-multimédia et il me le pr opose.
a priori, il install un environement chrooté il y a plein de ia32 en
dépendance de ce paquetage...

Par contre, j'ai un autre problème, je n'arrive plus a supprimer le paquet
adobe-flashplugin, il n'apparaît pas dans la liste, je ne peut pas f aire de
apt-cache policy, ni le purger :(
Est-ce que c'est du au forçage de l'architecture ?
Comment le virer ?




avec le paquet flashplugin-nonfree ça marchera peut-être un peu m ieux ;)

Adrien

--0016e65c8d82f30fa304899b48bd
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

Effectivement, j&#39;ai ajouter le miroir debian-multimédia et il me l e propose. a priori, il install un environement chrooté il y a plein d e ia32 en dépendance de ce paquetage...<br>
<br>
Par contre, j&#39;ai un autre problème, je n&#39;arrive plus a supprim er le paquet adobe-flashplugin, il n&#39;apparaît pas dans la liste, j e ne peut pas faire de apt-cache policy, ni le purger :(<br>
Est-ce que c&#39;est du au forçage de l&#39;architecture ?<br>
Comment le virer ?<br></blockquote><div><br></div></div>avec le paquet flas hplugin-nonfree ça marchera peut-être un peu mieux ;)<br><br>Adri en<br>

--0016e65c8d82f30fa304899b48bd--

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Sylvain Sauvage
Le #22285741
C. Mourad Jaber, mardi 22 juin 2010, 11:39:12 CEST

Le 22/06/2010 10:19, Adrien Bellanger a écrit :
>> Oui, flashplayer-mozilla n’existe plus. (Ou alors il faut n ous
>> dire où tu le trouves encore pour Sid/amd64…)
>>
> Il est dans les dépôts debian-multimedia.org, en fait c'est
> une version utilisant nspluginwrapper, et donc flash 10.1 en 32 bits.



Ok, je n’utilisais pas (et n’avais pas vérifié) la section
non-free de d-m.o…

>> Les deux faisaient sensiblement la même chose, sauf que
>> -player- → debian multimedia, -plugin- → officiellement
>> officieux, d’où la disparition du -player-.
>>
> Il me semble que chez moi le player (debian multimedia) a toujours
> installer du 32 bits chrooter contrairement à la version officiell e,
> après il est possible que je me plante.
>
Effectivement, j'ai ajouter le miroir debian-multimédia et il me le
propose. a priori, il install un environement chrooté il y a plein d e
ia32 en dépendance de ce paquetage...



Non. Utiliser ia32*, c’est utiliser des bibliothèques 32  bits
dans un environnement 64 bits. C’est simplement utiliser la
compatibilité, le « multi-arch ». Dans notre cas, le navigateur
continue d’être 64 bits.
Un chroot, c’est quand on change le / de l’application  ; en
particulier quand on a un système complet (souvent minimal) dans
un répertoire, l’utiliser en chroot permet d’avoir des
applications isolées. Un chroot peut être un système de mà ªme
architecture, juste pour isoler, ou d’une autre saveur (stable
dans une testing…), ou d’une autre distribution, etc.
Si on utilisait un chroot 32 bits, c’est le navigateur compl et
avec ses plugins (et les bibliothèques) qui devrait être dans le
chroot.

Quant à l’utilisation du wrapper et des ia32*, il y a deux
époques (on revient dans la première) : 1. quand Adobe ne
fournissait pas de version 64 bits, 2. quand il y en avait une.
De ce fait, dans l’époque 1, flashplugin-nonfree n’e xistait
pas pour amd64 ; il y avait un paquet pour wrapper et utiliser
les ia32* (me souviens plus trop de son nom, il y avait 32
dedans…). Et, dans l’époque 2, je pense que flashplaye r-mozilla
installait (ou a voulu installer) le greffon 64 bits (il reste
la version 10.0 en 64 bits du greffon et du paquet dans la
section experimental de debian-multimedia).

Par contre, j'ai un autre problème, je n'arrive plus a supprimer le
paquet adobe-flashplugin, il n'apparaît pas dans la liste, je ne peu t
pas faire de apt-cache policy, ni le purger :(
Est-ce que c'est du au forçage de l'architecture ?
Comment le virer ?



dpkg --purge ?

--
Sylvain Sauvage

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
C. Mourad Jaber
Le #22285751
Le 22/06/2010 11:45, Adrien Bellanger a écrit :


Effectivement, j'ai ajouter le miroir debian-multimédia et il me
le propose. a priori, il install un environement chrooté il y a
plein de ia32 en dépendance de ce paquetage...

Par contre, j'ai un autre problème, je n'arrive plus a supprimer
le paquet adobe-flashplugin, il n'apparaît pas dans la liste, je
ne peut pas faire de apt-cache policy, ni le purger :(
Est-ce que c'est du au forçage de l'architecture ?
Comment le virer ?


avec le paquet flashplugin-nonfree ça marchera peut-être un peu mieux ;)

Adrien


Non, je maintiens, c'est le paquet que j'ai dl chez adobe !

J'ai réussit à le supprimer avec dpkg -P adobe-flashplugin mais il
n'apparaissait nul part avec aptitude ou apt !

Dans la foulé, j'ai fini l'installation de flashplayer-mozilla. ça
marche, mais sans son :(

++

Mourad

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Publicité
Poster une réponse
Anonyme